Unable to compile from source

Bug #609074 reported by leigh123linux on 2010-07-23
38
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Desktop Agnostic Library for GLib-based Projects
High
Michal Hruby

Bug Description

Due to changes in Fedora 14 (rawhide) I'm unable to build

02:47:34 runner system command -> ['/usr/bin/gcc', 'default/python/uimodule_5.o', 'default/python/ui_5.o', '-o', 'default/python/ui.so', '-shared', '-pthread', '-Wl,--export-dynamic', '-pthread', '-pthread', '-pthread', '-Ldefault/libdesktop-agnostic', '-L/usr/lib64', '-Wl,-Bdynamic', '-ldesktop-agnostic-ui', '-ldesktop-agnostic-fdo', '-ldesktop-agnostic-vfs', '-ldesktop-agnostic', '-lgmodule-2.0', '-lrt', '-lglib-2.0', '-lgdk-x11-2.0', '-lpangocairo-1.0', '-lgdk_pixbuf-2.0', '-lm', '-lpango-1.0', '-lcairo', '-lgobject-2.0', '-lpng12', '-lgthread-2.0', '-lgtk-x11-2.0', '-latk-1.0', '-lgio-2.0', '-lpangoft2-1.0', '-lfreetype', '-lfontconfig', '-lpthread', '-ldl', '-lutil', '-lpython2.6']
02:47:34 runner system command -> ['/usr/bin/gcc', 'default/tools/lda-desktop-entry-editor_2.o', '-o', 'default/tools/lda-desktop-entry-editor', '-pthread', '-Wl,--export-dynamic', '-pthread', '-pthread', '-Ldefault/libdesktop-agnostic', '-Wl,-Bdynamic', '-ldesktop-agnostic-ui', '-ldesktop-agnostic-fdo', '-ldesktop-agnostic-vfs', '-ldesktop-agnostic', '-lgmodule-2.0', '-lrt', '-lglib-2.0', '-lgdk-x11-2.0', '-lpangocairo-1.0', '-lgdk_pixbuf-2.0', '-lm', '-lpango-1.0', '-lcairo', '-lgobject-2.0', '-lpng12', '-lgthread-2.0', '-lgtk-x11-2.0', '-latk-1.0', '-lgio-2.0', '-lpangoft2-1.0', '-lfreetype', '-lfontconfig']
02:47:34 runner system command -> ['/usr/bin/gcc', 'default/tests/test-ui-color-button-gtkbuilder_12.o', '-o', 'default/tests/test-ui-color-button-gtkbuilder', '-pthread', '-Wl,--export-dynamic', '-pthread', '-pthread', '-Ldefault/libdesktop-agnostic', '-Wl,-Bdynamic', '-ldesktop-agnostic-ui', '-ldesktop-agnostic-fdo', '-ldesktop-agnostic-vfs', '-ldesktop-agnostic', '-lgmodule-2.0', '-lrt', '-lglib-2.0', '-lgdk-x11-2.0', '-lpangocairo-1.0', '-lgdk_pixbuf-2.0', '-lm', '-lpango-1.0', '-lcairo', '-lgobject-2.0', '-lpng12', '-lgthread-2.0', '-lgtk-x11-2.0', '-latk-1.0', '-lgio-2.0', '-lpangoft2-1.0', '-lfreetype', '-lfontconfig']
[115/119] typelib: build/default/libdesktop-agnostic/DesktopAgnostic-1.0.gir -> build/default/libdesktop-agnostic/DesktopAgnostic-1.0.typelib
02:47:34 runner system command -> LD_LIBRARY_PATH="/builddir/build/BUILD/libdesktop-agnostic-0.3.90/build/default/libdesktop-agnostic" /usr/bin/g-ir-compiler -o default/libdesktop-agnostic/DesktopAgnostic-1.0.typelib default/libdesktop-agnostic/DesktopAgnostic-1.0.gir
[116/119] typelib: build/default/libdesktop-agnostic/DesktopAgnosticVFS-1.0.gir -> build/default/libdesktop-agnostic/DesktopAgnosticVFS-1.0.typelib
[117/119] typelib: build/default/libdesktop-agnostic/DesktopAgnosticConfig-1.0.gir -> build/default/libdesktop-agnostic/DesktopAgnosticConfig-1.0.typelib
02:47:34 runner system command -> LD_LIBRARY_PATH="/builddir/build/BUILD/libdesktop-agnostic-0.3.90/build/default/libdesktop-agnostic" /usr/bin/g-ir-compiler -o default/libdesktop-agnostic/DesktopAgnosticVFS-1.0.typelib default/libdesktop-agnostic/DesktopAgnosticVFS-1.0.gir
02:47:34 runner system command -> LD_LIBRARY_PATH="/builddir/build/BUILD/libdesktop-agnostic-0.3.90/build/default/libdesktop-agnostic" /usr/bin/g-ir-compiler -o default/libdesktop-agnostic/DesktopAgnosticConfig-1.0.typelib default/libdesktop-agnostic/DesktopAgnosticConfig-1.0.gir
[118/119] typelib: build/default/libdesktop-agnostic/DesktopAgnosticFDO-1.0.gir -> build/default/libdesktop-agnostic/DesktopAgnosticFDO-1.0.typelib
default/libdesktop-agnostic/DesktopAgnostic-1.0.gir:3:1: error: Unsupported version '1.0'
[119/119] typelib: build/default/libdesktop-agnostic/DesktopAgnosticUI-1.0.gir -> build/default/libdesktop-agnostic/DesktopAgnosticUI-1.0.typelib
error parsing file default/libdesktop-agnostic/DesktopAgnostic-1.0.gir: Unsupported version '1.0'
default/libdesktop-agnostic/DesktopAgnosticVFS-1.0.gir:3:1: error: Unsupported version '1.0'
error parsing file default/libdesktop-agnostic/DesktopAgnosticVFS-1.0.gir: Unsupported version '1.0'
02:47:34 runner system command -> LD_LIBRARY_PATH="/builddir/build/BUILD/libdesktop-agnostic-0.3.90/build/default/libdesktop-agnostic" /usr/bin/g-ir-compiler -o default/libdesktop-agnostic/DesktopAgnosticUI-1.0.typelib default/libdesktop-agnostic/DesktopAgnosticUI-1.0.gir
02:47:34 runner system command -> LD_LIBRARY_PATH="/builddir/build/BUILD/libdesktop-agnostic-0.3.90/build/default/libdesktop-agnostic" /usr/bin/g-ir-compiler -o default/libdesktop-agnostic/DesktopAgnosticFDO-1.0.typelib default/libdesktop-agnostic/DesktopAgnosticFDO-1.0.gir
default/libdesktop-agnostic/DesktopAgnosticConfig-1.0.gir:3:1: error: Unsupported version '1.0'
error parsing file default/libdesktop-agnostic/DesktopAgnosticConfig-1.0.gir: Unsupported version '1.0'
default/libdesktop-agnostic/DesktopAgnosticUI-1.0.gir:3:1: error: Unsupported version '1.0'
error parsing file default/libdesktop-agnostic/DesktopAgnosticUI-1.0.gir: Unsupported version '1.0'
default/libdesktop-agnostic/DesktopAgnosticFDO-1.0.gir:3:1: error: Unsupported version '1.0'
error parsing file default/libdesktop-agnostic/DesktopAgnosticFDO-1.0.gir: Unsupported version '1.0'
Waf: Leaving directory `/builddir/build/BUILD/libdesktop-agnostic-0.3.90/build'
Build failed
 -> task failed (err #1):
 {task: typelib DesktopAgnostic-1.0.gir -> DesktopAgnostic-1.0.typelib}
 -> task failed (err #1):
 {task: typelib DesktopAgnosticVFS-1.0.gir -> DesktopAgnosticVFS-1.0.typelib}
 -> task failed (err #1):
 {task: typelib DesktopAgnosticConfig-1.0.gir -> DesktopAgnosticConfig-1.0.typelib}
 -> task failed (err #1):
 {task: typelib DesktopAgnosticUI-1.0.gir -> DesktopAgnosticUI-1.0.typelib}
 -> task failed (err #1):
 {task: typelib DesktopAgnosticFDO-1.0.gir -> DesktopAgnosticFDO-1.0.typelib}
error: Bad exit status from /var/tmp/rpm-tmp.vNU5WE (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.vNU5WE (%build)
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/libdesktop-agnostic.spec']
Traceback (most recent call last):

Justin Warkentin (xaz0r) wrote :

I have this exact same problem and I'm not seeing any solutions anywhere. I'm running Gentoo and it's preventing me from updating compiz-fusion from the desktop-effects overlay.

Sylvia (fierevere) wrote :

got the same with Gentoo ebuild
http://gpo.zugaina.org/x11-libs/libdesktop-agnostic

libdesktop-agnostic-0.3.90

...
[127/132] cc_link: build/default/python/uimodule_5.o build/default/python/ui_5.o -> build/default/python/ui.so
[128/132] typelib: build/default/libdesktop-agnostic/DesktopAgnostic-1.0.gir -> build/default/libdesktop-agnostic/DesktopAgnostic-1.0.typelib
default/libdesktop-agnostic/DesktopAgnostic-1.0.gir:3:1: error: Unsupported version '1.0'
error parsing file default/libdesktop-agnostic/DesktopAgnostic-1.0.gir: Unsupported version '1.0'
Waf: Leaving directory `/var/tmp/portage/x11-libs/libdesktop-agnostic-0.3.90/work/libdesktop-agnostic-0.3.90/build'
Build failed

dev-libs/gobject-introspection-0.9.0 is installed.

// required for AWN 0.4.x

Workaround to get the package built. May need real fix.

sed -i 's|repository version="1.0"|repository version="1.1"|' \
    gen_src/libdesktop-agnostic/DesktopAgnostic*.gir

Sylvia (fierevere) wrote :

ran sed -i 's|repository version="1.0"|repository version="1.1"|' build/default/libdesktop-agnostic/DesktopAgnostic*.gir

ended with:
[116/120] typelib: build/default/libdesktop-agnostic/DesktopAgnostic-1.0.gir -> build/default/libdesktop-agnostic/DesktopAgnostic-1.0.typelib
Could not find GIR file 'Gdk-2.0.gir'; check XDG_DATA_DIRS or use --includedir
error parsing file default/libdesktop-agnostic/DesktopAgnostic-1.0.gir: Failed to parse included gir Gdk-2.0
Waf: Leaving directory `/tmp/libdesktop-agnostic/build'
Build failed
 -> task failed (err #1):
 {task: typelib DesktopAgnostic-1.0.gir -> DesktopAgnostic-1.0.typelib}

dev-libs/gobject-introspection-0.9.0 in gentoo doesnt install Gdk-2.0.gir

$ ls -l /usr/share/gir-1.0/
cairo-1.0.gir Gio-2.0.gir GLib-2.0.gir libxml2-2.0.gir xlib-2.0.gir
fontconfig-2.0.gir GIRepository-2.0.gir GModule-2.0.gir xfixes-4.0.gir xrandr-1.3.gir
freetype2-2.0.gir GL-1.0.gir GObject-2.0.gir xft-2.0.gir

Sylvia (fierevere) wrote :

however removing (replacing with a "placeholder" Gio instead of Gdk) ended with sucessful build
Its been possible to compile avant window navigator 0.4.1 (rev 715)

desktop-agnostic bazaar lp:libdesktop-agnostic rev 398

Julien Lavergne (gilir) wrote :

You can also pass --disable-gi to disable the generation of the gir package.

Changed in libdesktop-agnostic:
status: New → Confirmed

The --disable-gi option hasn't been merged from various-fixes yet

[leigh@localhost libdesktop-agnostic-0.3.90]$ ./waf configure --disable-gi
waf [command] [options]

Main commands (example: ./waf build -j4)
  build : builds the project
  clean : removes the build files
  configure: configures the project
  distclean: removes the build directory
  install : installs the build files
  uninstall: removes the installed files

waf: error: no such option: --disable-gi

Michal Hruby (mhr3) wrote :

--disable-gi option is merged now.

Changed in libdesktop-agnostic:
assignee: nobody → Michal Hruby (mhr3)
importance: Undecided → High
milestone: none → 0.4.0
status: Confirmed → Fix Committed
Julien Lavergne (gilir) on 2011-03-12
Changed in libdesktop-agnostic:
milestone: 0.4.0 → 0.3.92
Michal Hruby (mhr3) on 2011-03-14
Changed in libdesktop-agnostic:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions